import java.io.*;

public class DemoReader
{
    public static void fileReader() throws IOException {
        try (FileReader fr = new FileReader("out.txt")) {
            int c = fr.read();
            while(c != -1) {
                System.out.println((char)c);
                c = fr.read();
            }
        }
    }
    
    public static void bufferedReader() throws IOException {
        try (BufferedReader br = new BufferedReader(new FileReader("out.txt"))) {
            String line = br.readLine();
            while(line != null) {
                //System.out.println(line);
                String[] rec = line.split(" ", 3);
                if (rec.length != 3) {
                    throw new IOException("Chybna data");
                }
                try {
                    String name = rec[3];
                    int year = Integer.parseInt(rec[0]);
                    double dbl = Double.parseDouble(rec[1]);
                } catch(NumberFormatException ex) {
                    throw new IOException("Chybna format cislenych dat", ex);
                }
                line = br.readLine();
            }
        }
    }
    
}
